/*
 *
 * 		HDK Circle Node for Houdini
 * 			   www.kamid.net
 * 		Modified Dec 17, 2012 by Deborah R. Fowler
 *
 */

#ifndef __sopCircleNode_h__
#define __sopCircleNode_h__

#include <SOP/SOP_Node.h>

namespace HDK_Sample {

class sopCircleNode : public SOP_Node
{
	public:

		static OP_Node              *myConstructor(OP_Network*, const char *, OP_Operator *);
		static PRM_Template          myTemplateList[];
		static CH_LocalVariable      myVariables[];

	protected:

		sopCircleNode(OP_Network *net, const char *name, OP_Operator *op);
		virtual ~sopCircleNode();
		virtual unsigned             disableParms();
		virtual OP_ERROR             cookMySop(OP_Context &context);
		virtual float                getVariableValue(int index, int thread);

	private:

		int         myCurrPoint;
		int         myTotalPoints;

};

};

#endif
